Note
Access to this page requires authorization. You can try signing in or .
Access to this page requires authorization. You can try .
Databases - Failover
- Service:
- SQL Database
- API Version:
- 2025-01-01
Failovers a database.
POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/databases/{databaseName}/failover?api-version=2025-01-01
POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/databases/{databaseName}/failover?api-version=2025-01-01&replicaType={replicaType}
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
databaseName
|
path | True |
string |
The name of the database. |
|
resourceGroupName
|
path | True |
string minLength: 1maxLength: 90 |
The name of the resource group. The name is case insensitive. |
|
serverName
|
path | True |
string |
The name of the server. |
|
subscriptionId
|
path | True |
string (uuid) |
The ID of the target subscription. The value must be an UUID. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
|
replicaType
|
query |
The type of replica to be failed over. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
The request has succeeded. |
|
| 202 Accepted |
Resource operation accepted. Headers
|
|
| Other Status Codes |
An unexpected error response. |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
Failover an database
Sample request
Sample response
- Status code:
- 200
- Status code:
- 202
Location: /subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/group1/providers/Microsoft.Sql/locations/japaneast/databaseOperationResults/00000000-0000-0000-0000-000000000000
Definitions
| Name | Description |
|---|---|
| ErrorAdditionalInfo |
The resource management error additional info. |
| ErrorDetail |
The error detail. |
| ErrorResponse |
Error response |
| ReplicaType |
The type of replica to be failed over. |
ErrorAdditionalInfo
The resource management error additional info.
| Name | Type | Description |
|---|---|---|
| info |
object |
The additional info. |
| type |
string |
The additional info type. |
ErrorDetail
The error detail.
| Name | Type | Description |
|---|---|---|
| additionalInfo |
The error additional info. |
|
| code |
string |
The error code. |
| details |
The error details. |
|
| message |
string |
The error message. |
| target |
string |
The error target. |
ErrorResponse
Error response
| Name | Type | Description |
|---|---|---|
| error |
The error object. |
ReplicaType
The type of replica to be failed over.
| Value | Description |
|---|---|
| Primary |
Primary |
| ReadableSecondary |
ReadableSecondary |
